summaryrefslogtreecommitdiffstats
path: root/tests/auto/xmlpatternsxqts/summarizeBaseline.sh
diff options
context:
space:
mode:
authorLars Knoll <lars.knoll@nokia.com>2009-03-23 09:34:13 (GMT)
committerSimon Hausmann <simon.hausmann@nokia.com>2009-03-23 09:34:13 (GMT)
commit67ad0519fd165acee4a4d2a94fa502e9e4847bd0 (patch)
tree1dbf50b3dff8d5ca7e9344733968c72704eb15ff /tests/auto/xmlpatternsxqts/summarizeBaseline.sh
downloadQt-67ad0519fd165acee4a4d2a94fa502e9e4847bd0.zip
Qt-67ad0519fd165acee4a4d2a94fa502e9e4847bd0.tar.gz
Qt-67ad0519fd165acee4a4d2a94fa502e9e4847bd0.tar.bz2
Long live Qt!
Diffstat (limited to 'tests/auto/xmlpatternsxqts/summarizeBaseline.sh')
-rwxr-xr-xtests/auto/xmlpatternsxqts/summarizeBaseline.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/auto/xmlpatternsxqts/summarizeBaseline.sh b/tests/auto/xmlpatternsxqts/summarizeBaseline.sh
new file mode 100755
index 0000000..6aeddf7
--- /dev/null
+++ b/tests/auto/xmlpatternsxqts/summarizeBaseline.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]; then
+ echo "You need to pass in one argument: the file path to Baseline.xml which you want the summary for."
+ exit 1
+fi
+
+# We run dirname, so we can locate summarizeBaseline.xsl regardless of our
+# working directory.
+xmlpatterns `dirname $0`/summarizeBaseline.xsl $1